Bug 211829 - CVE-2006-4811 qt integer overflow
CVE-2006-4811 qt integer overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: qt (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
impact=moderate,source=vendorsec,repo...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-23 09:14 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2006-0725
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-01 09:51:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-10-23 09:14:21 EDT
+++ This bug was initially created as a clone of Bug #210742 +++

An interger overflow flaw was found in the way qt handles certain pixmax
requests.  This flaw can lead to arbitrary data being written onto the heap,
possibly resulting in arbitrary code execution withing applications using qt
(such as knoqueror and kmail)

-- Additional comment from bressers@redhat.com on 2006-10-14 00:46 EST --
This issue also affects RHEL2.1 and RHEL3
Comment 1 Ngo Than 2006-10-23 15:52:59 EDT
it's fixed in RHSA-2006:0725.
Comment 4 Red Hat Bugzilla 2006-11-01 09:51:38 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0725.html

Note You need to log in before you can comment on or make changes to this bug.